Home | All Classes | Grouped Classes | Index | Search

# Class CL_DomEntity

DOM Entity class. More...

Derived from: CL_DomNode
Derived by: none
Group: Core (XML)

#include <ClanLib/core.h>

Construction:

CL_DomEntity | Constructs a DOM Entity handle.

Attributes:

get_public_id | The public identifier associated with the entity.
get_system_id | The system identifier associated with the entity.
get_notation_name | For unparsed entities, the name of the notation for the entity.

Detailed description:

!group=Core/XML! !header=core.h!

This interface represents an entity, either parsed or unparsed, in an XML document. Note that this models the entity itself not the entity declaration. Entity declaration modeling has been left for a later Level of the DOM specification.

Questions or comments, write to the ClanLib mailing list.